org.wildfly.swarm.config.modcluster

## Class ConfigurationModClusterConfig<T extends ConfigurationModClusterConfig<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.modcluster.ConfigurationModClusterConfig<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ConfigurationModClusterConfig<T extends ConfigurationModClusterConfig<T>>
      extends HashMap

  The common modcluster configuration.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigurationModClusterConfig.ConfigurationModClusterConfigResources` Child mutators for ConfigurationModClusterConfig
    `static class` | `ConfigurationModClusterConfig.SessionDrainingStrategy`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationModClusterConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `advertise()` Use Advertise logic or not.
    `T` | `advertise(Boolean value)` Use Advertise logic or not.
    `String` | `advertiseSecurityKey()` String containing the security key for the Advertise logic.
    `T` | `advertiseSecurityKey(String value)` String containing the security key for the Advertise logic.
    `String` | `advertiseSocket()` Name of Socket binding to use for the Advertise socket.
    `T` | `advertiseSocket(String value)` Name of Socket binding to use for the Advertise socket.
    `Boolean` | `autoEnableContexts()` Enable contexts even if disabled in mod_cluster_manager (httpd).
    `T` | `autoEnableContexts(Boolean value)` Enable contexts even if disabled in mod_cluster_manager (httpd).
    `String` | `balancer()` The balancer name.
    `T` | `balancer(String value)` The balancer name.
    `T` | `configurationDynamicLoadProvider()` Dynamic load provider
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProvider value)` Dynamic load provider
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderConsumer consumer)` Dynamic load provider
    `T` | `configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderSupplier supplier)` Dynamic load provider
    `T` | `configurationSsl()` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSsl value)` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSslConsumer consumer)` The SSL configuration to client MCMP logic.
    `T` | `configurationSsl(ConfigurationSslSupplier supplier)` The SSL configuration to client MCMP logic.
    `String` | `connector()` The name of Undertow listener that mod_cluster reverse proxy will connect to.
    `T` | `connector(String value)` The name of Undertow listener that mod_cluster reverse proxy will connect to.
    `String` | `excludedContexts()` List of contexts mod_cluster should ignore, Format String separated with commas.
    `T` | `excludedContexts(String value)` List of contexts mod_cluster should ignore, Format String separated with commas.
    `Boolean` | `flushPackets()` Enables/disables packet flushing in httpd.
    `T` | `flushPackets(Boolean value)` Enables/disables packet flushing in httpd.
    `Integer` | `flushWait()` Time to wait before flushing packets in httpd.
    `T` | `flushWait(Integer value)` Time to wait before flushing packets in httpd.
    `String` | `getKey()`
    `String` | `loadBalancingGroup()` loadBalancingGroup name.
    `T` | `loadBalancingGroup(String value)` loadBalancingGroup name.
    `Integer` | `maxAttempts()` Max attempts to process an idempotent request.
    `T` | `maxAttempts(Integer value)` Max attempts to process an idempotent request.
    `Integer` | `nodeTimeout()` Timeout (in seconds) for proxy connections to a node.
    `T` | `nodeTimeout(Integer value)` Timeout (in seconds) for proxy connections to a node.
    `Integer` | `ping()` Time (in seconds) in which to wait for a pong answer to a ping.
    `T` | `ping(Integer value)` Time (in seconds) in which to wait for a pong answer to a ping.
    `List<String>` | `proxies()` List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxies(List<String> value)` List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxies(String... args)` List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `T` | `proxy(String value)` List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.
    `String` | `proxyUrl()` Base URL for MCMP requests.
    `T` | `proxyUrl(String value)` Base URL for MCMP requests.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ConfigurationModClusterConfig.SessionDrainingStrategy` | `sessionDrainingStrategy()` Session draining strategy used during undeployment of a web application
    `T` | `sessionDrainingStrategy(ConfigurationModClusterConfig.SessionDrainingStrategy value)` Session draining strategy used during undeployment of a web application
    `Integer` | `simpleLoadProvider()` Simple load provider
    `T` | `simpleLoadProvider(Integer value)` Simple load provider
    `Integer` | `smax()` Soft maximum idle connection count in httpd
    `T` | `smax(Integer value)` Soft maximum idle connection count in httpd
    `Integer` | `socketTimeout()` Timeout to wait for httpd to answer a MCMP message.
    `T` | `socketTimeout(Integer value)` Timeout to wait for httpd to answer a MCMP message.
    `Integer` | `statusInterval()` Number of seconds a STATUS message is sent from the application server to the reverse proxy.
    `T` | `statusInterval(Integer value)` Number of seconds a STATUS message is sent from the application server to the reverse proxy.
    `Boolean` | `stickySession()` Use sticky sessions for requests.
    `T` | `stickySession(Boolean value)` Use sticky sessions for requests.
    `Boolean` | `stickySessionForce()` Don't failover a request with session information.
    `T` | `stickySessionForce(Boolean value)` Don't failover a request with session information.
    `Boolean` | `stickySessionRemove()` Remove session information on failover.
    `T` | `stickySessionRemove(Boolean value)` Remove session information on failover.
    `Integer` | `stopContextTimeout()` Max time to wait for context to process pending requests.
    `T` | `stopContextTimeout(Integer value)` Max time to wait for context to process pending requests.
    `ConfigurationModClusterConfig.ConfigurationModClusterConfigResources` | `subresources()`
    `Integer` | `ttl()` Time to live (in seconds) for idle connections above smax
    `T` | `ttl(Integer value)` Time to live (in seconds) for idle connections above smax
    `Integer` | `workerTimeout()` Timeout to wait in httpd for an available worker to process the requests.
    `T` | `workerTimeout(Integer value)` Timeout to wait in httpd for an available worker to process the requests.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ConfigurationModClusterConfig

          public ConfigurationModClusterConfig()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ConfigurationModClusterConfig.ConfigurationModClusterConfigResources subresources()

    - #### configurationSsl

          public T configurationSsl(ConfigurationSsl value)

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl(ConfigurationSslConsumer consumer)

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl()

      The SSL configuration to client MCMP logic.

    - #### configurationSsl

          public T configurationSsl(ConfigurationSslSupplier supplier)

      The SSL configuration to client MCMP logic.

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProvider value)

      Dynamic load provider

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderConsumer consumer)

      Dynamic load provider

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider()

      Dynamic load provider

    - #### configurationDynamicLoadProvider

          public T configurationDynamicLoadProvider(ConfigurationDynamicLoadProviderSupplier supplier)

      Dynamic load provider

    - #### advertise

          public Boolean advertise()

      Use Advertise logic or not.

    - #### advertise

          public T advertise(Boolean value)

      Use Advertise logic or not.

    - #### advertiseSecurityKey

          public String advertiseSecurityKey()

      String containing the security key for the Advertise logic.

    - #### advertiseSecurityKey

          public T advertiseSecurityKey(String value)

      String containing the security key for the Advertise logic.

    - #### advertiseSocket

          public String advertiseSocket()

      Name of Socket binding to use for the Advertise socket.

    - #### advertiseSocket

          public T advertiseSocket(String value)

      Name of Socket binding to use for the Advertise socket.

    - #### autoEnableContexts

          public Boolean autoEnableContexts()

      Enable contexts even if disabled in mod_cluster_manager (httpd).

    - #### autoEnableContexts

          public T autoEnableContexts(Boolean value)

      Enable contexts even if disabled in mod_cluster_manager (httpd).

    - #### balancer

          public String balancer()

      The balancer name.

    - #### balancer

          public T balancer(String value)

      The balancer name.

    - #### connector

          public String connector()

      The name of Undertow listener that mod_cluster reverse proxy will connect to.

    - #### connector

          public T connector(String value)

      The name of Undertow listener that mod_cluster reverse proxy will connect to.

    - #### excludedContexts

          public String excludedContexts()

      List of contexts mod_cluster should ignore, Format String separated with commas.

    - #### excludedContexts

          public T excludedContexts(String value)

      List of contexts mod_cluster should ignore, Format String separated with commas.

    - #### flushPackets

          public Boolean flushPackets()

      Enables/disables packet flushing in httpd.

    - #### flushPackets

          public T flushPackets(Boolean value)

      Enables/disables packet flushing in httpd.

    - #### flushWait

          public Integer flushWait()

      Time to wait before flushing packets in httpd.

    - #### flushWait

          public T flushWait(Integer value)

      Time to wait before flushing packets in httpd.

    - #### loadBalancingGroup

          public String loadBalancingGroup()

      loadBalancingGroup name.

    - #### loadBalancingGroup

          public T loadBalancingGroup(String value)

      loadBalancingGroup name.

    - #### maxAttempts

          public Integer maxAttempts()

      Max attempts to process an idempotent request.

    - #### maxAttempts

          public T maxAttempts(Integer value)

      Max attempts to process an idempotent request.

    - #### nodeTimeout

          public Integer nodeTimeout()

      Timeout (in seconds) for proxy connections to a node.

    - #### nodeTimeout

          public T nodeTimeout(Integer value)

      Timeout (in seconds) for proxy connections to a node.

    - #### ping

          public Integer ping()

      Time (in seconds) in which to wait for a pong answer to a ping.

    - #### ping

          public T ping(Integer value)

      Time (in seconds) in which to wait for a pong answer to a ping.

    - #### proxies

          public List<String> proxies()

      List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxies

          public T proxies(List<String> value)

      List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxy

          public T proxy(String value)

      List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxies

          public T proxies(String... args)

      List of proxies for mod_cluster to register with defined by outbound-socket-binding in socket-binding-group.

    - #### proxyUrl

          public String proxyUrl()

      Base URL for MCMP requests.

    - #### proxyUrl

          public T proxyUrl(String value)

      Base URL for MCMP requests.

    - #### sessionDrainingStrategy

          public ConfigurationModClusterConfig.SessionDrainingStrategy sessionDrainingStrategy()

      Session draining strategy used during undeployment of a web application

    - #### sessionDrainingStrategy

          public T sessionDrainingStrategy(ConfigurationModClusterConfig.SessionDrainingStrategy value)

      Session draining strategy used during undeployment of a web application

    - #### simpleLoadProvider

          public Integer simpleLoadProvider()

      Simple load provider

    - #### simpleLoadProvider

          public T simpleLoadProvider(Integer value)

      Simple load provider

    - #### smax

          public Integer smax()

      Soft maximum idle connection count in httpd

    - #### smax

          public T smax(Integer value)

      Soft maximum idle connection count in httpd

    - #### socketTimeout

          public Integer socketTimeout()

      Timeout to wait for httpd to answer a MCMP message.

    - #### socketTimeout

          public T socketTimeout(Integer value)

      Timeout to wait for httpd to answer a MCMP message.

    - #### statusInterval

          public Integer statusInterval()

      Number of seconds a STATUS message is sent from the application server to the reverse proxy.

    - #### statusInterval

          public T statusInterval(Integer value)

      Number of seconds a STATUS message is sent from the application server to the reverse proxy.

    - #### stickySession

          public Boolean stickySession()

      Use sticky sessions for requests.

    - #### stickySession

          public T stickySession(Boolean value)

      Use sticky sessions for requests.

    - #### stickySessionForce

          public Boolean stickySessionForce()

      Don't failover a request with session information.

    - #### stickySessionForce

          public T stickySessionForce(Boolean value)

      Don't failover a request with session information.

    - #### stickySessionRemove

          public Boolean stickySessionRemove()

      Remove session information on failover.

    - #### stickySessionRemove

          public T stickySessionRemove(Boolean value)

      Remove session information on failover.

    - #### stopContextTimeout

          public Integer stopContextTimeout()

      Max time to wait for context to process pending requests.

    - #### stopContextTimeout

          public T stopContextTimeout(Integer value)

      Max time to wait for context to process pending requests.

    - #### ttl

          public Integer ttl()

      Time to live (in seconds) for idle connections above smax

    - #### ttl

          public T ttl(Integer value)

      Time to live (in seconds) for idle connections above smax

    - #### workerTimeout

          public Integer workerTimeout()

      Timeout to wait in httpd for an available worker to process the requests.

    - #### workerTimeout

          public T workerTimeout(Integer value)

      Timeout to wait in httpd for an available worker to process the requests.

Copyright © 2017 JBoss by Red Hat. All rights reserved.